Summary:	Collect system informations for the hardware4linux site
Summary(pl.UTF-8):	Zbieranie informacji dla strony hardware4linux
Name:		hwreport
Version:	0.11.0
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://hardware4linux.info/res/%{name}-%{version}.tar.bz2
# Source0-md5:	463109a35076dfe946ab115cd5422e6d
URL:		http://hardware4linux.info/
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig
Requires:	dmidecode
Requires:	pld-release
Requires:	pciutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hwreport uses a script hwreport and scan-printers to find out the
hardware in your PC and confront it with a compatibility list on
<http://hardware4linux.info/>.

It works both ways - you can get information about the drivers and
compatibility of your hardware from the site and submit new entries to
the hardware4linux site.

%description -l pl.UTF-8
Hwreport używa skryptu hwreport i programu scan-printers do
rozpoznawania sprzętu w komputerze i porównywania go z listą
kompatybilności na stronie <http://hardware4linux.info/>.

Działa to w obie strony - można pobierać informacje na temat
sterowników i kompatybilności sprzętu ze strony lub wysyłać nowe wpisy
na stronę hardware4linux.

%prep
%setup -q
cat > Makefile <<'EOF'
TARGET = scan-printers reportusb
INSTALL = %{_bindir}/install -c
BINARIES = hwreport osinfo
sbindir = %{_sbindir}
all: Makefile $(TARGET)
scan-printers: scan-printers.c
	$(CC) $(CFLAGS) `pkg-config --cflags libusb-1.0` -o $@ $^ $(LDFLAGS) `pkg-config --libs libusb-1.0`

reportusb: reportusb.c
	$(CC) $(CFLAGS) `pkg-config --cflags libusb-1.0` -o $@ $^ $(LDFLAGS) `pkg-config --libs libusb-1.0`

clean:
	rm -f $(OBJECTS) $(TARGET)

install:
	$(INSTALL) $(TARGET) $(DESTDIR)/$(sbindir)
	$(INSTALL) $(BINARIES) $(DESTDIR)/$(sbindir)
EOF

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%changelog
* Sun Jun 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwreport.git;a=log;h=master

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> ccb7fc6
- pass ldflags in proper order
- rel 3

* Sun Jun 16 2013 Jan Rękorajski <baggins@pld-linux.org> 6accf76
- R pld-realese instead of issue, these scripts know about PLD
- rel 2

* Mon Aug 08 2011 Łukasz Kieś <kiesiu@pld-linux.org> a3018ac
- updated to 0.11.0

* Wed Aug 06 2008 Patryk Zawadzki <patrys@room-303.com> 1861193
- 0.10.0

* Mon Sep 10 2007 emes <emes@pld-linux.org> a62a435
- up to 0.9.4

* Fri Aug 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 12dcdcc
- desc cosmetics

* Tue Jul 24 2007 Patryk Zawadzki <patrys@room-303.com> b6cd23e
- 0.9.2

* Sun Jul 22 2007 shadzik <shadzik@pld-linux.org> e295a57
- CFLAGS are back
- rel 2

* Thu Jul 19 2007 shadzik <shadzik@pld-linux.org> 864dc1a
- typo

* Thu Jul 19 2007 wolf <wolf@pld-linux.org> fbbc716
- proper %desc

* Thu Jul 19 2007 shadzik <shadzik@pld-linux.org> 4bf63fb
- up to 0.9.1

* Thu Jul 19 2007 shadzik <shadzik@pld-linux.org> 1348486
- R: issue

* Thu Jul 19 2007 shadzik <shadzik@pld-linux.org> eb26ed1
- no need for CFLAGS
- rel 1

* Thu Jul 19 2007 shadzik <shadzik@pld-linux.org> 4bff9ff
- better Makefile
- kill unneeded BR
- adapterize
- use make install to install all in %{_sbindir}

* Thu Jul 19 2007 czarny <czarny@pld-linux.org> b6dfec1
- init
- s/b(tm) check it and bump to 1.0

